---
kind: pipeline
name: deploy to autonomic-ruangrupa
steps:
  - name: bundle static
    image: plugins/docker
    settings:
      username:
        from_secret: docker_reg_username
      password:
        from_secret: docker_reg_passwd
      repo: kn0fl00k/old-lumbung.space
      tags: latest
  - name: deployment
    image: decentral1se/stack-ssh-deploy:latest
    settings:
      stack: lumbung_space
      host: lumbung.space
      deploy_key:
        from_secret: drone_ssh_lumbung.space
trigger:
  branch:
    - main
  event:
    exclude:
      - pull_request
